## org.apache.commons.collections
Interface OrderedIterator

All Superinterfaces:
  Iterator

All Known Subinterfaces:
  OrderedMapIterator

All Known Implementing Classes:
  AbstractLinkedList.LinkedListIterator, AbstractLinkedMap.LinkIterator, AbstractLinkedMap.LinkMapIterator, AbstractOrderedMapIteratorDecorator, DualTreeBidiMap.BidiOrderedMapIterator, EmptyOrderedIterator, EmptyOrderedMapIterator, UnmodifiableOrderedMapIterator

public interface OrderedIterator
extends Iterator

Defines an iterator that operates over a ordered collections.

This iterator allows both forward and reverse iteration through the collection.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 01:15:42 $
Author:
  Stephen Colebourne

Method Summary
`boolean` `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
`Object` `previous()` Gets the previous element from the collection.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### hasPrevious

    public boolean hasPrevious()

  Checks to see if there is a previous entry that can be iterated to.

  Returns:
    `true` if the iterator has a previous element

### previous

    public Object previous()

  Gets the previous element from the collection.

  Returns:
    the previous key in the iteration
  Throws:
    `NoSuchElementException` - if the iteration is finished

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.